Unify and manage your data

Delete Lookup type Configuration

Learn how to delete configuration settings for a specific lookup type from the Autopilot configuration.

Delete Lookup type Configuration API removes a lookup type entry from the main Autopilot configuration for a tenant. After you delete the entry, the lookup type uses the tenant default configuration.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

DELETE /configuration/{tenantId}/autopilot/{lookupType}

This endpoint removes the Autopilot configuration for the specified lookup type within the given tenant context.

The following table describes the endpoint path parameters.

ParameterTypeRequiredDescription
tenantIdStringYesTenant identifier.
lookupTypeStringYesLookup type name

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer {token}Yes

Request body

This operation does not require a request body.

Response Body

FieldTypeDescription
tenantIdStringUnique identifier of the tenant.
defaultsObjectDefault Autopilot configuration applied at the tenant level.
enabledBooleanIndicates whether Autopilot is enabled or not.
modeStringOperating mode of Autopilot (for example, ACTIVE or PREVIEW).
autoMapEnabledBooleanIndicates whether automatic mapping is enabled.
autoMapThresholdNumberMinimum similarity score required for automatic mapping.
suggestionEnabledBooleanIndicates whether mapping suggestions are enabled.
suggestionThresholdNumberMinimum score required to generate a mapping suggestion.
createLookupEnabledBooleanIndicates whether automatic lookup creation is enabled.
createLookupThresholdNumberMinimum score required to automatically create a lookup value.
suggestLookupEnabledBooleanIndicates whether lookup creation suggestions are enabled.
suggestLookupThresholdNumberMinimum score required to suggest creating a lookup value.
misspelledThresholdNumberMinimum score used to detect potential misspellings.
requiredFrequencyNumberMinimum number of occurrences required before Autopilot takes action.
frequencyWindowHoursNumberTime window, in hours, used to evaluate frequency.
lookupTypes
lookupTypesArrayList of lookup type-specific configuration overrides.
uriStringURI that identifies the lookup type.
settingsObjectConfiguration settings specific to the lookup type.
enabledBooleanIndicates whether Autopilot is enabled for the lookup type.
modeStringOperating mode for the lookup type.
settings
autoMapEnabledBooleanIndicates whether automatic mapping is enabled for the lookup type.
autoMapThresholdNumberMinimum similarity score required for automatic mapping for the lookup type.
suggestionEnabledBooleanIndicates whether suggestions are enabled for the lookup type.
suggestionThresholdNumberMinimum score required to generate suggestions for the lookup type.
createLookupEnabledBooleanIndicates whether automatic lookup creation is enabled for the lookup type.
createLookupThresholdNumberMinimum score required to automatically create a lookup value for the lookup type.
suggestLookupEnabledBooleanIndicates whether lookup creation suggestions are enabled for the lookup type.
suggestLookupThresholdNumberMinimum score required to suggest creating a lookup value for the lookup type.
misspelledThresholdNumberMinimum score used to detect misspellings for the lookup type.
requiredFrequencyNumberMinimum number of occurrences required before Autopilot takes action for the lookup type.
frequencyWindowHoursNumberTime window, in hours, used to evaluate frequency for the lookup type.
updatedByStringIdentifier of the user who last updated the configuration.
updateDateNumberTimestamp of the last update in epoch milliseconds.
versionNumberVersion number of the configuration.
anyEnabledBooleanIndicates whether Autopilot is enabled for any scope.

Example Response

The following example shows a successful response.

{
    "tenantId": "my_tenant",
    "defaults": {
        "enabled": true,
        "mode": "ACTIVE",
        "autoMapEnabled": true,
        "autoMapThreshold": 0.9,
        "suggestionEnabled": true,
        "suggestionThreshold": 0.8,
        "createLookupEnabled": true,
        "createLookupThreshold": 0.9,
        "suggestLookupEnabled": true,
        "suggestLookupThreshold": 0.8,
        "misspelledThreshold": 0.7,
        "requiredFrequency": 1,
        "frequencyWindowHours": 1
    },
    "lookupTypes": [
        {
            "uri": "rdm/lookupTypes/Countries",
            "settings": {
                "enabled": false,
                "mode": "PREVIEW",
                "autoMapEnabled": true,
                "autoMapThreshold": 0.9,
                "suggestionEnabled": true,
                "suggestionThreshold": 0.75,
                "createLookupEnabled": false,
                "createLookupThreshold": 0.9,
                "suggestLookupEnabled": false,
                "suggestLookupThreshold": 0.8,
                "misspelledThreshold": 0.85,
                "requiredFrequency": 3,
                "frequencyWindowHours": 24
            }
        },
        {
            "uri": "rdm/lookupTypes/City",
            "settings": {
                "enabled": true,
                "mode": "ACTIVE",
                "autoMapEnabled": true,
                "autoMapThreshold": 0.95,
                "suggestionEnabled": true,
                "suggestionThreshold": 0.8,
                "createLookupEnabled": false,
                "createLookupThreshold": 0.9,
                "suggestLookupEnabled": false,
                "suggestLookupThreshold": 0.8,
                "misspelledThreshold": 0.85,
                "requiredFrequency": 5,
                "frequencyWindowHours": 24
            }
        },
        {
            "uri": "rdm/lookupTypes/Specialty",
            "settings": {
                "enabled": true,
                "mode": "ACTIVE",
                "autoMapEnabled": true,
                "autoMapThreshold": 0.9,
                "suggestionEnabled": true,
                "suggestionThreshold": 0.8,
                "createLookupEnabled": true,
                "createLookupThreshold": 0.9,
                "suggestLookupEnabled": true,
                "suggestLookupThreshold": 0.8,
                "misspelledThreshold": 0.7,
                "requiredFrequency": 1,
                "frequencyWindowHours": 1
            }
        }
    ],
    "updatedBy": "my_user",
    "updateDate": 1777904408748,
    "version": 11,
    "anyEnabled": true
}